Page MenuHomePhabricator

Add new maintainer to tools.drtrigonbot and tools.asurabot
Closed, ResolvedPublic

Description

In order to resurrect a bot, I'd like to reconstruct the configuration of the tools mentioned in the title, which are abandoned. Optionally, I'd run the task from one of the tool accounts. Therefore I'd like to be co-maintainer of both of them.

Event Timeline

Restricted Application added a project: Cloud-Services. · View Herald TranscriptFeb 19 2016, 6:17 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

Because there's no policy in place yet, per @Andrew, I tried and sent an e-mail to DrTrigon, who hopefully will respond.

Jogo.obb added a subscriber: Jogo.obb.
Emha awarded a token.Feb 25 2016, 11:27 AM
Emha added a subscriber: Emha.

I've got an answer from DrTrigon: It's been too long ago, he doesn't remember how to configure the tool. He wishes the admins to add me. Because that's still impossible (yay), I reminded him of the process of adding me as a maintainer. I also offered him to reply in this ticket (which I hope to suffice).

Giftpflanze closed this task as Resolved.Feb 27 2016, 11:16 AM
Giftpflanze added a subscriber: DrTrigon.

DrTrigon added me to the service group, I will keep him updated about anything I will do regarding the tool.

scfc added a subscriber: scfc.Feb 27 2016, 11:21 AM

I have no doubt that your summary here is truthful, @Giftpflanze, but to avoid that with other tools off-site communications is incorrectly summarized and we get a lot of drama ("I meant only that one tool, not all", "I thought only about the source code, not the bot's credentials", etc.), it would be much better if there is some public/on-the-record confirmation, ideally by adding you as a maintainer via the wiki interface, also good by some public talk page discussion, least favorite by a mail to root@tools.wmflabs.org (because AFAIK there is no archive for that, so the "record" for the future depends on individual roots' archives for that address).

scfc added a comment.Feb 27 2016, 11:22 AM

Oh, well, that's nice :-).

Giftpflanze added a comment.EditedFeb 27 2016, 11:25 AM

I had no illusions of resolving the ticket with my summary alone (which should be clear if you read my comment carefully). I just wanted to document what's happening. But thank you for mentioning the root mail (which I couldn't remember).

scfc added a comment.Feb 27 2016, 11:26 AM

(And if Phabricator would warn someone that there have been other comments/task activity since one started writing one's comment, the task timeline would make much more sense.)